Gmagick::minifyimage
Gmagick::motionblurimage
Gmagick
PHP Manual

# Gmagick::modulateimage

Control the brightness, saturation, and hue

### Description

public void Gmagick::modulateimage ( float `$brightness` , float `$saturation` , float `$hue` )

Lets you control the brightness, saturation, and hue of an image. Hue is the percentage of absolute rotation from the current position. For example 50 results in a counter-clockwise rotation of 90 degrees, 150 results in a clockwise rotation of 90 degrees, with 0 and 200 both resulting in a rotation of 180 degrees.

### Parameters

`brightness`

  The percent change in brighness (-100 thru +100).

`saturation`

  The percent change in saturation (-100 thru +100)

`hue`

  The percent change in hue (-100 thru +100)

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.